#include "sgl.h"

typedef enum _CAMION_STATE  {cs_still,cs_armed,cs_running} CAMION_STATE ;

typedef struct _CAMION {
  FIXED posx;
  int level;
  int invert;
  CAMION_STATE st;
} CAMION;

void camion_init(CAMION* c);
void camion_reinit(CAMION* c);
void camion_display(CAMION* c);
void camion_arm(CAMION* c);
int camion_run(CAMION* c);
int camion_hits(CAMION*c, FIXED posx, FIXED level,FIXED* nposx);
