#include "cdsound.h"
#include "sgl.h"
#include "sega_cdc.h"

void cdsound_init(){
  CDC_CdInit(0x00,0x00,0x05,0x0f);
  slCDDAOn(70, 70, 0, 0);
}
/*
    temp1 = The starting track number.
    temp2 = The ending track number.
    temp3 = The number of times to loop playback (from start track to end track)
 */

void cdsound_play(int f, int l, int n){
  CdcPly plywk;
  CdcPly *ply = &plywk;
  CDC_PLY_STYPE(ply) = CDC_PTYPE_TNO ;
  CDC_PLY_STNO(ply)  = f ;
  CDC_PLY_SIDX(ply)  = 1 ;
  CDC_PLY_ETYPE(ply) = CDC_PTYPE_TNO ;
  CDC_PLY_ETNO(ply)  = l ;
  CDC_PLY_EIDX(ply)  = 99 ;
  CDC_PLY_PMODE(ply) = CDC_PM_DFL + n;
  CDC_CdPlay(ply);
}

void cdsound_stop(){
  CdcPos poswk;
  CDC_POS_PTYPE(&poswk) = CDC_PTYPE_DFL;
  CDC_CdSeek(&poswk);
}
