#include "expl.h"
#include "camion.h"
#include "screen.h"
#include "globdefs.h"
#include "random.h"
#include "spritesdef.h"

extern SPR_ATTR attr[];


#define MAX_EXPL 100
EXPL explo[MAX_EXPL];

void expl_add(FIXED x,FIXED y){
  static int next=0;
  next = (next+1)%MAX_EXPL;

  explo[next].x=x;
  explo[next].y=y;
  explo[next].st=0;
  explo[next].to=10;
  
}

void expl_display_all(){
  int i;
  for (i=0;i<MAX_EXPL;i++){
    expl_display(&(explo[i]));
  }
}

void expl_init_all(){
    int i;
  for (i=0;i<MAX_EXPL;i++){
    explo[i].st=-1;
  }
}

void expl_display(EXPL* e){
  FIXED pos[XYZSS];
  ANGLE ang;
  int spr_num;

  if (e->st==-1)
    return;
  pos[X]= e->x+minmaxrnd(toFIXED(-2.0),toFIXED(2.0));
  pos[Y]= e->y+minmaxrnd(toFIXED(-3.0),toFIXED(3.0));
  pos[S] = toFIXED(0.5);
  pos[Z] = minmaxrnd(toFIXED(166.0),toFIXED(170.0)); 
  pos[4] = toFIXED(0.5);
  ang =0x0;

  spr_num = SP_EXPL1+e->st;
  attr[spr_num].atrb = CL256Bnk;
  slDispSpriteHV(pos,(SPR_ATTR *)(&attr[spr_num]),ang);   

  e->to -=1;
  if (e->to == 7){
    (e->st) +=1;
  }else if (e->to == 3){
    (e->st) +=1;
  }else if (e->to == 0){
    e->st =-1;
  }
  
}
