#include "music.h"
#include "sound.h"
#include "random.h"
#include "libpad.h"


void music_play(){
  static int sndturn = 0;
  static Uint16 pitch = 0x69ce;
  
  if (pad_someone_presses(PER_DGT_TB, FALSE)) {
    if (pad_someone_presses(PER_DGT_KU, TRUE)) pitch += (Uint16)0x400;
    if (pad_someone_presses(PER_DGT_KD, TRUE)) pitch -= (Uint16)0x400;
  } else if (pad_someone_presses(PER_DGT_TA, FALSE)) {
    if (pad_someone_presses(PER_DGT_KU, TRUE)) pitch += (Uint16)0x10;
    if (pad_someone_presses(PER_DGT_KD, TRUE)) pitch -= (Uint16)0x10;
  } else {
    if (pad_someone_presses(PER_DGT_KU, FALSE)) pitch += (Uint16)0x1;
    if (pad_someone_presses(PER_DGT_KD, FALSE)) pitch -= (Uint16)0x1;
  }

  //  slPrintHex(pitch,slLocate(10,10));
  pitch += (Uint16)(slRandom());
  //  pitch +=10;

  if ((++sndturn)%20) {
    sound_step();
    sound_tell_more(//vs_sine,
		     minmaxrndint(1,vs_last-1),
		    minmaxrndint(1,100),
		    minmaxrnd(50,128),
		    minmaxrnd(0,255)-128,
		    pitch);
  }
}
