#include "sgl.h"
#include "sprites/course.cel"
#include "sprites/static.cel"
#include "sprites/down.cel"
#include "sprites/hikick.cel"
#include "sprites/marche.cel"
#include "sprites/downhit.cel"
#include "sprites/marque.cel"
#include "sprites/level.cel"
#include "sprites/hang.cel"
#include "sprites/hihand.cel"
#include "sprites/h_hits.cel"
#include "sprites/n_sh.cel"
#include "sprites/camion.cel"
#include "sprites/gopt.cel"
#include "sprites/expl.cel"
#include "sprites/title.cel"
#include "sprites/buttons.cel"
#include "sprites/gardarr.cel"
#include "sprites/pfixe.cel"
#include "sprites/hangs.cel"

FIXED spr_offset[][2]={
  //static
  {toFIXED(0.0),toFIXED(0.0)},

  
  //run 
  {toFIXED(13.0),toFIXED(0.0)},
  {toFIXED(7.0),toFIXED(0.0)},
  {toFIXED(2.0),toFIXED(0.0)},
  {toFIXED(2.0),toFIXED(0.0)},
  {toFIXED(7.0),toFIXED(0.0)},

  //down 
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},


  //hikick
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},

  //marche
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},


  //downhit
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},

 
  // marques : OFFSET NOT USED
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
 
  // level
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
 


  //hang
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(-1.0),toFIXED(0.0)},


  // hi hand
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},


  // h hits
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(2.0),toFIXED(-4.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  
  
  // n s h
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(-4.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},  

  // camion : OFFSET NOT USED
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},

  // gopt : OFFSET NOT USED
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},

  // expl : OFFSET NOT USED
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},

  // title: OFFSET NOT USED
  
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},

  // buttons: OFFSET NOT USED
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},

  //gardarr
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},

  // pfixe
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(2.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},

  // hangs
  {toFIXED(-11.0),toFIXED(0.0)},
  {toFIXED(-10.0),toFIXED(0.0)},
  {toFIXED(0.0),toFIXED(0.0)},
  {toFIXED(10.0),toFIXED(0.0)},

};


#define		GRaddr		0xe000
//CL256Bnk|CL_Gouraud|MESHoff|SPdis|ECdis
//CL256Bnk|ECdis|CL_Gouraud

#define SPRIOPT CL256Bnk
#define SPRIPAL (0x000) // 0x1-700 is pal num

SPR_ATTR attr[] = {
  // static
  SPR_ATTRIBUTE(5,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
 

  // run 
  SPR_ATTRIBUTE(4,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(3,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(2,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(1,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	 
  SPR_ATTRIBUTE(0,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	


  // down
  SPR_ATTRIBUTE(6,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(7,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(8,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),


  // hikick
  SPR_ATTRIBUTE(9,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(10,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(11,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(12,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	 
  SPR_ATTRIBUTE(13,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	 


  // marche
  SPR_ATTRIBUTE(14,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(15,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(16,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	

  // downhit 
  SPR_ATTRIBUTE(17,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(18,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	
  SPR_ATTRIBUTE(19,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),	


 
  // marque

  SPR_ATTRIBUTE(20,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(21,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(22,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(23,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  SPR_ATTRIBUTE(24,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(25,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(26,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(27,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  SPR_ATTRIBUTE(28,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(29,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(30,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(31,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  // level

  SPR_ATTRIBUTE(32,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(33,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(34,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(35,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(36,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),


  //hang
  SPR_ATTRIBUTE(37,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(38,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),


  SPR_ATTRIBUTE(39,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(40,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(41,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(42,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(43,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),


  // h_hits
  SPR_ATTRIBUTE(44,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(45,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(46,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),


  SPR_ATTRIBUTE(47,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(48,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(49,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(50,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(51,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  // camion
  SPR_ATTRIBUTE(52,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(53,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(54,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  // gameoptions
  SPR_ATTRIBUTE(55,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(56,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(57,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(58,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  // expl
  SPR_ATTRIBUTE(59,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(60,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(61,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  // title
  SPR_ATTRIBUTE(62,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(63,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  // buttons
  SPR_ATTRIBUTE(64,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(65,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(66,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(67,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(68,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(69,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(70,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(71,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  // buttons
  SPR_ATTRIBUTE(72,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(73,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(74,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(75,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(76,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(77,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  // pfixe
  SPR_ATTRIBUTE(78,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(79,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(80,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(81,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),

  // hangs
  SPR_ATTRIBUTE(82,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(83,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(84,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  SPR_ATTRIBUTE(85,SPRIPAL,GRaddr,SPRIOPT,sprNoflip),
  
};

TEXTURE tex_spr[] = {
  TEXDEF(32,32,(0*32*32)), 
  TEXDEF(32,32,(1*32*32)),
  TEXDEF(32,32,(2*32*32)),
  TEXDEF(32,32,(3*32*32)),
  TEXDEF(32,32,(4*32*32)),

  TEXDEF(32,32,(5*32*32)), 

  TEXDEF(32,32,(6*32*32)),
  TEXDEF(32,32,(7*32*32)),
  TEXDEF(32,32,(8*32*32)),

  TEXDEF(32,32,(9*32*32)), 
  TEXDEF(32,32,(10*32*32)),
  TEXDEF(32,32,(11*32*32)),
  TEXDEF(32,32,(12*32*32)),
  TEXDEF(32,32,(13*32*32)),

  TEXDEF(32,32,(14*32*32)), 
  TEXDEF(32,32,(15*32*32)),
  TEXDEF(32,32,(16*32*32)),
 
  TEXDEF(32,32,(17*32*32)),
  TEXDEF(32,32,(18*32*32)),
  TEXDEF(32,32,(19*32*32)),

  // marque
  TEXDEF(8,8,(20*32*32)+(0*8*8)),
  TEXDEF(8,8,(20*32*32)+(1*8*8)),
  TEXDEF(8,8,(20*32*32)+(2*8*8)),
  TEXDEF(8,8,(20*32*32)+(3*8*8)),

  TEXDEF(8,8,(20*32*32)+(4*8*8)),
  TEXDEF(8,8,(20*32*32)+(5*8*8)),
  TEXDEF(8,8,(20*32*32)+(6*8*8)),
  TEXDEF(8,8,(20*32*32)+(7*8*8)),

  TEXDEF(8,8,(20*32*32)+(8*8*8)),
  TEXDEF(8,8,(20*32*32)+(9*8*8)),
  TEXDEF(8,8,(20*32*32)+(10*8*8)),
  TEXDEF(8,8,(20*32*32)+(11*8*8)),

  TEXDEF(32,32,(20*32*32)+(12*8*8)+(0*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(1*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(2*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(3*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(4*32*32)),
 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(5*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(6*32*32)),

  TEXDEF(32,32,(20*32*32)+(12*8*8)+(7*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(8*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(9*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(10*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(11*32*32)),

  TEXDEF(32,32,(20*32*32)+(12*8*8)+(12*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(13*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(14*32*32)),

  TEXDEF(32,32,(20*32*32)+(12*8*8)+(15*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(16*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(17*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(18*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(19*32*32)),
  
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(20*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(21*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(22*32*32)), 

  TEXDEF(32,32,(20*32*32)+(12*8*8)+(23*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(24*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(25*32*32)),
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(26*32*32)), 

  // expl
  TEXDEF(16,16,(20*32*32)+(12*8*8)+(27*32*32)+(0*16*16)), 
  TEXDEF(16,16,(20*32*32)+(12*8*8)+(27*32*32)+(1*16*16)), 
  TEXDEF(16,16,(20*32*32)+(12*8*8)+(27*32*32)+(2*16*16)), 
  // title
  TEXDEF(64,64,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(0*64*64)), 
  TEXDEF(64,64,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(1*64*64)), 

  // buttons
  TEXDEF(64,16,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(0*64*16)), 
  TEXDEF(64,16,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(1*64*16)), 
  TEXDEF(64,16,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(2*64*16)), 
  TEXDEF(64,16,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(3*64*16)), 
  TEXDEF(64,16,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(4*64*16)), 
  TEXDEF(64,16,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(5*64*16)), 
  TEXDEF(64,16,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(6*64*16)), 
  TEXDEF(64,16,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(7*64*16)), 

  // gardarr
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(0*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(1*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(2*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(3*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(4*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(5*32*32)), 

  // pfixe
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(6*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(7*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(8*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(9*32*32)), 
  // hangs
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(10*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(11*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(12*32*32)), 
  TEXDEF(32,32,(20*32*32)+(12*8*8)+(27*32*32)+(3*16*16)+(2*64*64)+(8*64*16)+(13*32*32)), 

};

PICTURE pic_spr[] = {
  PICDEF(0,COL_256,course_cel + (0*32*32)),
  PICDEF(1,COL_256,course_cel + (1*32*32)),
  PICDEF(2,COL_256,course_cel + (2*32*32)),
  PICDEF(3,COL_256,course_cel + (3*32*32)),
  PICDEF(4,COL_256,course_cel + (4*32*32)),

  PICDEF(5,COL_256,static_cel),

  PICDEF(6,COL_256,down_cel + (0*32*32)),
  PICDEF(7,COL_256,down_cel + (1*32*32)),
  PICDEF(8,COL_256,down_cel + (2*32*32)),


  PICDEF(9,COL_256,hikick_cel + (0*32*32)),
  PICDEF(10,COL_256,hikick_cel + (1*32*32)),
  PICDEF(11,COL_256,hikick_cel + (2*32*32)),
  PICDEF(12,COL_256,hikick_cel + (3*32*32)),
  PICDEF(13,COL_256,hikick_cel + (4*32*32)),

  PICDEF(14,COL_256,marche_cel + (0*32*32)),
  PICDEF(15,COL_256,marche_cel + (1*32*32)),
  PICDEF(16,COL_256,marche_cel + (2*32*32)),

  PICDEF(17,COL_256,downhit_cel + (0*32*32)),
  PICDEF(18,COL_256,downhit_cel + (1*32*32)),
  PICDEF(19,COL_256,downhit_cel + (2*32*32)),

  PICDEF(20,COL_256,marque_cel + (0*8*8)),
  PICDEF(21,COL_256,marque_cel + (1*8*8)),
  PICDEF(22,COL_256,marque_cel + (2*8*8)),
  PICDEF(23,COL_256,marque_cel + (3*8*8)),

  PICDEF(24,COL_256,marque_cel + (4*8*8)),
  PICDEF(25,COL_256,marque_cel + (5*8*8)),
  PICDEF(26,COL_256,marque_cel + (6*8*8)),
  PICDEF(27,COL_256,marque_cel + (7*8*8)),

  PICDEF(28,COL_256,marque_cel + (8*8*8)),
  PICDEF(29,COL_256,marque_cel + (9*8*8)),
  PICDEF(30,COL_256,marque_cel + (10*8*8)),
  PICDEF(31,COL_256,marque_cel + (11*8*8)),

  PICDEF(32,COL_256,level_cel + (0*32*32)),
  PICDEF(33,COL_256,level_cel + (1*32*32)),
  PICDEF(34,COL_256,level_cel + (2*32*32)),
  PICDEF(35,COL_256,level_cel + (3*32*32)),
  PICDEF(36,COL_256,level_cel + (4*32*32)),
  
  PICDEF(37,COL_256,hang_cel +  (0*32*32)),
  PICDEF(38,COL_256,hang_cel +  (1*32*32)),

  PICDEF(39,COL_256,hihand_cel + (0*32*32)),
  PICDEF(40,COL_256,hihand_cel + (1*32*32)),
  PICDEF(41,COL_256,hihand_cel + (2*32*32)),
  PICDEF(42,COL_256,hihand_cel + (3*32*32)),
  PICDEF(43,COL_256,hihand_cel + (4*32*32)),

  PICDEF(44,COL_256,h_hits_cel  + (0*32*32)),
  PICDEF(45,COL_256,h_hits_cel + (1*32*32)),
  PICDEF(46,COL_256,h_hits_cel + (2*32*32)),

  PICDEF(47,COL_256,n_sh_cel + (0*32*32)),
  PICDEF(48,COL_256,n_sh_cel + (1*32*32)),
  PICDEF(49,COL_256,n_sh_cel + (2*32*32)),
  PICDEF(50,COL_256,n_sh_cel + (3*32*32)),
  PICDEF(51,COL_256,n_sh_cel + (4*32*32)),

  PICDEF(52,COL_256,camion_cel),
  PICDEF(53,COL_256,camion_cel + (1*32*32)),
  PICDEF(54,COL_256,camion_cel + (2*32*32)),

  PICDEF(55,COL_256,gopt_cel),
  PICDEF(56,COL_256,gopt_cel + (1*32*32)),
  PICDEF(57,COL_256,gopt_cel + (2*32*32)),
  PICDEF(58,COL_256,gopt_cel + (3*32*32)),

  PICDEF(59,COL_256,expl_cel),
  PICDEF(60,COL_256,expl_cel + (1*16*16)),
  PICDEF(61,COL_256,expl_cel + (2*16*16)),

  PICDEF(62,COL_256,title_cel),
  PICDEF(63,COL_256,title_cel+(1*64*64)),

  PICDEF(64,COL_256,buttons_cel+(0*64*16)),
  PICDEF(65,COL_256,buttons_cel+(1*64*16)),
  PICDEF(66,COL_256,buttons_cel+(2*64*16)),
  PICDEF(67,COL_256,buttons_cel+(3*64*16)),
  PICDEF(68,COL_256,buttons_cel+(4*64*16)),
  PICDEF(69,COL_256,buttons_cel+(5*64*16)),
  PICDEF(70,COL_256,buttons_cel+(6*64*16)),
  PICDEF(71,COL_256,buttons_cel+(7*64*16)),


  PICDEF(72,COL_256,gardarr_cel+(0*32*32)),
  PICDEF(73,COL_256,gardarr_cel+(1*32*32)),
  PICDEF(74,COL_256,gardarr_cel+(2*32*32)),
  PICDEF(75,COL_256,gardarr_cel+(3*32*32)),
  PICDEF(76,COL_256,gardarr_cel+(4*32*32)),
  PICDEF(77,COL_256,gardarr_cel+(5*32*32)),

  PICDEF(78,COL_256,pfixe_cel+(0*32*32)),
  PICDEF(79,COL_256,pfixe_cel+(1*32*32)),
  PICDEF(80,COL_256,pfixe_cel+(2*32*32)),
  PICDEF(81,COL_256,pfixe_cel+(3*32*32)),

  PICDEF(82,COL_256,hangs_cel+(0*32*32)),
  PICDEF(83,COL_256,hangs_cel+(1*32*32)),
  PICDEF(84,COL_256,hangs_cel+(2*32*32)),
  PICDEF(85,COL_256,hangs_cel+(3*32*32)),

};







